Bug 1574924 - Reusing the existing gluster configuration needs validation
Summary: Reusing the existing gluster configuration needs validation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhiv-1.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHHI-V 1.5
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1574926
Blocks: 1520836
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:18 UTC by SATHEESARAN
Modified: 2019-05-20 04:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1574926 (view as bug list)
Environment:
Last Closed: 2019-05-20 04:54:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2018-05-04 11:18:16 UTC
Description of problem:
-----------------------
RHHI installation was invoked from the cockpit UI. While choosing configuration of gluster volumes, after the gdeploy configuration file generation, the wizard was closed, without completing gluster volume configuration. 

While trying setup 'Hyperconverged' setup from cockpit UI, there is information pop-up, saying that 'Gluster configuration found', but there are no volumes created though. While selecting 'use existing configuration', it takes to the node zero deployment, though there are no volumes exist in actual.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-0.11.23

How reproducible:
-----------------
Always

Steps to Reproduce:
------------------
1. Select hyperconverged deployment, proceed with wizard and reach the final tab, where the gdeploy configuration file is generated
2. Do **not** complete the installtion but close the wizard
3. Re-attempt installation, on clicking on 'hyperconverged', select 'use existing configuration'

Actual results:
---------------
Though there are no volumes available with the host, the 'Use Existing Cofiguration' proceeds with node zero ( HE ) deployment, without validating the availability of volume

Expected results:
-----------------
As there no volumes created and in started state, using the existing gluster configuration should validate the actual volume in question exists and in started state

Comment 1 SATHEESARAN 2018-10-19 02:09:17 UTC
The dependent cockpit-ovirt bug is already ON_QA, moving this bug to ON_QA

Comment 5 SATHEESARAN 2018-10-21 01:56:32 UTC
Verified with cockpit-ovirt-dashboard-0.11.35

Unless the gdeploy configuration is successful, the 'reuse existing gluster configuration' option is not available from cockpit interface


Note You need to log in before you can comment on or make changes to this bug.